Subject: RE: OCP Core: one service, two profiles

From: "Martin Stecher" <[email-masked]>
Date: Fri, 24 Oct 2003 22:07:53 +0200

Hi Alex,

> 
> 
> If a service works on message content (body), it would easily handle
> several application profiles by skipping or ignoring everything other
> than the message content. For example, a virus scanning service can
> handle both HTTP and SMTP content.
> 
> Currently, profile result negotiation is attached to a Service Group,
> which is, essentially, a service. The following is not clear to me:
> 
> 	- can two profiles be negotiated for the same group?

Currently not.

> 	- if yes, how can the agent distinguish which profile
> 	  is being used for a given message?
> 
> If we restrict the number of profiles per SG to one, the only way to
> support the above would be to create two identical SGs. In this case,
> we may want to support SG creation based on another SG rather than
> based on a raw list of services.

Creating SGs with identical set of services works and this solves the
problem.
Do you really think we need of a copy constructor of service groups?
I think that since service groups only need to be created at the
beginning of connections and these connections can then create
any number of transactions, optimization in this area is not critical.

> 
> If we allow multiple profiles per SG, we need a new identifier to
> specify which profile is being used.
> 
> I think I prefer the former, to keep things simple.

Me too.

> Thoughts, preferences?
> Thank you,

Regards
Martin

---

From: Alex Rousskov <[email-masked]>
Date: Fri, 24 Oct 2003 15:06:27 -0600 (MDT)

> > 	- can two profiles be negotiated for the same group?

We do not explicitly allow or prohibit this, right? Should I
explicitly prohibit in the Core?

> beginning of connections and these connections can then create any
> number of transactions, optimization in this area is not critical.

Let's not optimize, then. The feature can be added later, if needed.

Alex.